package cc.winboll.studio.regexputils.develop;

/*
 * WinBollBase
 * WINBOLL 安卓应用基础类
 * 源码提供：AIDE
 * 源码维护：ZhanGSKen@QQ.COM
 */

import android.app.Application;

public class WinBollBase extends Application {
    
    public static String _mszLogFolderPath;
    public static String _mszLogFilePath;
    public static String _mszLogFileName = "WinBollBase.log";
    public static String _mszHtmlFolderPath;
    public static String _mszHtmlFilePath;
    public static String _mszHtmlFileName = "BaseWebViewBody.txt";

    @Override
    public void onCreate() {
        super.onCreate();
        CrashHandler.init(this);
        _mszLogFolderPath = getExternalFilesDir("logs").toString();
        _mszLogFilePath = _mszLogFolderPath + "/" + _mszLogFileName;
        _mszHtmlFolderPath = getExternalFilesDir("webviews").toString();
        _mszHtmlFilePath = _mszHtmlFolderPath + "/" + _mszHtmlFileName;
    }

}
